@charset "utf-8";
@import "reset.css";

@import url("https://cdn.jsdelivr.net/gh/orioncactus/pretendard@v1.3.9/dist/web/variable/pretendardvariable.min.css");


:root{
	--text1: #17191C;
	--text2: #26282C;
	--text3: #393C41;
	--contWidth: 780px;
	--frameSize: 88px;
}


html, body {
	position: relative;
	font-family: "Pretendard Variable", Pretendard, -apple-system, BlinkMacSystemFont, system-ui, Roboto, "Helvetica Neue", "Segoe UI", "Apple SD Gothic Neo", "Noto Sans KR", "Malgun Gothic", "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", sans-serif;
	font-size: 14px;
	font-weight: 400;
	font-stretch: normal;
	font-style: normal;
	line-height: 1.57;
	box-sizing: border-box;
	color: var(--text3);
}

/* 테스트 코드 스타일 */
.blind {
	position: absolute;
	overflow: hidden;
	width: 0 !important;
	height: 0 !important;
	color: transparent;
	font-size: 0;
	z-index: -9999999;
	display: none;
	opacity: 0;
}


/**
	 * ==============================================
	 * text
	 * ==============================================
*/

#IndexPage {
	position: relative;
	width: 100%;
	height: 100%;
	font-family: 'Noto Sans KR', Noto Sans KR, NotoSansKR, 'NotoSansKR', NEXONLv1Gothic, 'NEXONLv1Gothic', sans-serif;
	font-style: normal;
	font-weight: 400;
	font-size: 14px;
}
.index__wrapper .index {
	display: grid;
}
.banner_container {
	padding: 68px 30px 80px;
	width: 100%;
	box-sizing: border-box;
}

.banner_container .cs__display {
	width: 100%;
	display: none;
	flex-direction: column;
	align-items: center;
}
/* test code */
.banner_container .cs__display[ncs-case="0"] {
	display: flex;
}
.banner_container.isPrimeUser .cs__display[ncs-case="0"] {
	display: none;
}
.banner_container.isPrimeUser .cs__display[ncs-case="1"] {
	display: flex;
}
/*./ test code */

.banner_container .head__text {
	color: var(--text1);
	font-family: "Pretendard Variable", Pretendard,sans-serif;
	font-style: normal;
	font-weight: 400;
	/*font-size: 28px;*/
	font-size: 36px;
	line-height: 140%;
	text-align: center;
	word-break: break-word;
	word-wrap: break-word;
}
.sub__text {
	margin-top: 16px;
	font-size: 16px;
	font-style: normal;
	font-weight: 400;
	color: var(--text3);
	line-height: 25px; /* 156.25% */
}
.banner_container .head__text .key_name .icon__prime {
	display: none;
}
.banner_container .head__text > span {
	display: block;
}

.head__text + * {
	margin-top: 8px;
}

.key_name, .bolder {
	font-weight: 700;
}
.banner_container .head__text .key_name:after {
	content: '님';
	font-family: NEXONLv1Gothic, 'NEXONLv1Gothic', sans-serif;
	font-style: normal;
	font-weight: 700;
	font-size: 2rem;
	line-height: 1.5;
	text-align: center;
	word-break: break-word;
	word-wrap: break-word;
	color: var(--text1);
}
.cs__game-area {
	position: relative;
	height: 100%;
	width: var(--contWidth);
	margin: 0 auto 80px;
}

.cs_game--list {
	width: 100%;
	max-width: 640px;    /* 원하는 최대 너비로 조정 */
	margin: 0 auto;      /* 가운데 정렬 */
	display: flex;
	justify-content: flex-start; /* 내부 아이템 왼쪽 정렬 */
	align-items: flex-start;
	flex-wrap: wrap;
	gap: 10px;
}
.cs_game--list .game__box {
	display: flex;
	flex-direction: column;
	width: 148px;
	height: 188px;
	align-items: center;
	justify-content: flex-start;
	padding: 30px 16px 0;
	border-radius: 6px;
	border: 1px solid #E8EBF2;
	background: #FFF;
	cursor: pointer;
	transition: box-shadow 0.3s;
}

.cs_game--list .game__box:hover,
.cs_game--list li.active .game__box {
	border: 1px solid #1D1AFD;
	box-shadow: 0 2px 20px 0 rgba(0, 0, 0, 0.10);
}

.game__box .frame {
	width: var(--frameSize);
	height: var(--frameSize);
	border: 1px solid #eef1f6;
	border-radius: 100px;
	overflow: hidden;
}

.game__box .game-title {
	display: flex;
	justify-content: center;
	align-items: center;
	margin-top: 16px;
	font-size: 14px;
	font-style: normal;
	font-weight: 500;
	line-height: 110%;
	letter-spacing: -0.48px;
	color: var(--text2)
}
.cs_game--list .game__box:hover .game-title,
.cs_game--list li.active .game__box .game-title {
	font-weight: 700;
}

footer {
	height: 80px;
	display: flex;
	justify-content: center;
	align-items: center;
	gap: 10px;
	border-top: 1px solid #E5E8EB;
}
footer .copyright {
	color: #9FA1A7;
	font-family: "Noto Sans KR", sans-serif;
	font-size: 10px;
	font-style: normal;
	font-weight: 400;
	line-height: 20px;
}
@media screen and (max-width: 1024px) {
	.cs_game--list .game__box {
		width: 159px;
		height: 188px;
		align-items: center;
		padding: 30px 16px 0;
	}
}
@media screen and (max-width: 768px) {
	:root {
		--contWidth: 100%;
		--fs-min: 23;
	}
	.cs__game-area {
		min-width: 320px;
		padding: 0 16px;
		margin: 0 auto 40px;
	}
	.banner_container .head__text {
		font-size: 26px;
		font-style: normal;
		font-weight: 400;
		line-height: 140%;
	}
	.banner_container {
		padding: 40px 10px;
	}
}

@media screen and (max-width: 360px) {
	.cs_game--list {
		width: 100%;
	}
	.cs_game--list li {
		width: calc(50% - 8px);
	}
	.cs_game--list li .game__box {
		width: 100%;
	}
	.banner_container .head__text {
		font-size: calc(var(--fs-min) * 1px);
	}
}